#ifndef __SPI1_H
#define __SPI1_H

#include "interface.h"

#define SPI1_REC_LEN 128
#define SPI1_TX_LEN  128

#define SPI1_DMA      DMA_Channel_3
#define SPI1_DMA_RXCH DMA2_Stream2
#define SPI1_DMA_TXCH DMA2_Stream3

void spi1_init(void);
void SPI1DMA_Trans(const uint8_t *data, uint16_t count);

#endif
